LTSP-DNSMASQ(8)

NAME
ltsp dnsmasq - configure dnsmasq for LTSP

SYNOPSIS
ltsp [ltsp-options] dnsmasq [-d dns] [-p proxy-dhcp] [-r real-dhcp] [-s dns-server] [-t tftp]

DESCRIPTION
Install /etc/dnsmasq.d/ltsp-dnsmasq.conf, while adjusting the template with the provided parameters.

OPTIONS
See the ltsp(8) man page for ltsp-options.

-d, --dns=0|1
    Enable or disable the DNS service. Defaults to 0. Enabling the DNS service of dnsmasq allows caching of client requests, custom DNS results, blacklisting etc, and automatically disables DNSStubListener in systemd-resolved on the LTSP server.

-p, --proxy-dhcp=0|1
    Enable or disable the proxy DHCP service. Defaults to 1. Proxy DHCP means that the LTSP server sends the boot filename, but it leaves the IP leasing to an external DHCP server, for example a router or pfsense or a Windows DHCP server. It's the easiest way to set up LTSP, as it only requires a single NIC with no static IP, no need to rewire switches etc.

-r, --real-dhcp=0|1
    Enable or disable the real DHCP service. Defaults to 1. In dual NIC setups, you only need to configure the internal NIC to a static IP of 192.168.67.1; LTSP will try to autodetect everything else. The real DHCP service doesn't take effect if your IP isn't 192.168.67.x, so there's no need to disable it in single NIC setups unless you want to run isc-dhcp-server on the LTSP server.

-s, --dns-server="space separated list"
    Set the DNS server DHCP option. Defaults to autodetection. Proxy DHCP clients don't receive DHCP options, so it's recommended to use the ltsp.conf DNS_SERVER parameter when autodetection isn't appropriate.

-t, --tftp=0|1
    Enable or disable the TFTP service. Defaults to 1.

EXAMPLES
Create a default dnsmasq configuration, overwriting the old one:

    ltsp dnsmasq

A dual NIC setup with the DNS service enabled:

    ltsp dnsmasq -d1 -p0 --dns-server="0.0.0.0 8.8.8.8 208.67.222.222"

COPYRIGHT
Copyright 2019-2022 the LTSP team, see AUTHORS.

SEE ALSO
ltsp(8), ltsp.conf(5), ltsp-image(8), ltsp-info(8), ltsp-initrd(8), ltsp-ipxe(8), ltsp-kernel(8), ltsp-nfs(8), ltsp-remoteapps(8)

Online documentation is available on https://ltsp.org